#ifndef INCLUDES_H
#define INCLUDES_H

#if HAVE_CONFIG_H
#  include "config.h"
#endif

#include <sys/types.h>

#include <bat/bat.h>
#include <ctype.h>
#include <errno.h>
#include <getopt.h>
#include <libgen.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <signal.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <syslog.h>
#include <sys/socket.h>
#include <unistd.h>

#if STDC_HEADERS
#  include <stdarg.h>
#  define va_init(ap, lastarg) va_start(ap, lastarg);
#else
#  include <varargs.h>
#  define va_init(ap, lastarg) va_start(ap)
#endif

#ifndef __P
#  if __STDC__
#    define __P(x) x
#  else
#    define __P(x) ()
#  endif
#endif

#if __STDC__
typedef void *voidptr;
#else
typedef char *voidptr;
#endif

#endif /* ifndef INCLUDES_H */
